function viewVec = FormViewVec( polyBoundaryCell, theCameraVec )

numCams = length(theCameraVec);
assert('length(polyBoundaryCell) == numCams')
assert('iscell(polyBoundaryCell)')

for camLoop = 1:numCams,                    
    viewVec(camLoop).camera = theCameraVec(camLoop);                 
    viewVec(camLoop).boundary = polyBoundaryCell{camLoop};
end