function [diam, diamVec] = MeanCaliperDiameter( val, varargin )


randnStd = 0.0001;
VararginModifyDefaults( varargin{:} );



if isstruct(val)
    viewVec = val;
    
    for viewLoop = 1:length(viewVec)               
        diamVec(viewLoop) = MeanCaliperDiameter( viewVec(viewLoop).boundary, varargin{:} );
    end
    
    
else
    poly = val;
    diamVec = MeanCaliperDiameterMex(  convexhull( poly + randnStd * randn(size(poly)) ) );
end



diam = mean(diamVec);